  <!-- Application Grid Layout. -->
<div class="Global-Layout">

  <!-- Application Header -->
  <div class="Header">

  </div>

  <!-- Application Navigation Bar -->
  <div class="Navigation">
		<h1 class="logo"><a routerLink="/Home-Page" routerLinkActive="active">Weather-Forecast</a></h1>

    <ul class="main-nav">
      <li><a routerLink="/Home-Page" routerLinkActive="active"> Home    </a></li>
      <li><a routerLink="/About-us"  routerLinkActive="active"> About   </a></li>
      <li><a routerLink="/Contact"   routerLinkActive="active"> Contact </a></li>

      <li><a *ngIf="currentUser!=null" routerLink="" (click)="goToDashboard()"   routerLinkActive="active"> Dashboard  </a></li>
      <li><a *ngIf="currentUser!=null" routerLink="" (click)="goToSettings()"   routerLinkActive="active"> Settings  </a></li>

      <li><a *ngIf="currentUser==null; else elseBlock" routerLink="/Log-in" routerLinkActive="active"> Login </a></li>
      <ng-template #elseBlock>
        <a class="nav-links"  routerLink="/Home-Page" routerLinkActive="active" (click)="logout()"> Log out </a>
      </ng-template>

      <li><a *ngIf="currentUser==null" routerLink="/Sign-up"   routerLinkActive="active"> Signup  </a></li>
   </ul>
  </div>

  <!-- Application Router-Outlet Area -->
  <div class="Content">
    <router-outlet></router-outlet>
  </div>

  <!-- Application Footer -->
  <div class="Footer">
    &copy; Copyright 2021, Avi Kurt - Web Developer.
  </div>
</div>
